Issue 64785

Summary: File\Properties\Location - allow location to be selectable
Product: General Reporter: kpalagin <kpalagin>
Component: uiAssignee: stefan.baltzer
Status: CLOSED FIXED QA Contact: issues@framework <issues>
Severity: Trivial    
Priority: P4 CC: issues, joerg.skottke, Mathias_Bauer, philipp.lohmann
Version: OOo 2.0.2   
Target Milestone: OOo 2.3   
Hardware: PC   
OS: Windows XP   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
illustarting screenshot
none
Test Case Specification none

Description kpalagin 2006-04-26 13:14:31 UTC
Please allow File\Properties\Location to be selectable so that location can be
copied to clipboard.
MS Office apps allow location to be selected and copied to clipboard.

Thanks.
Comment 1 kpalagin 2006-04-26 13:15:18 UTC
Created attachment 36055 [details]
illustarting screenshot
Comment 2 thorsten.martens 2006-04-27 08:17:57 UTC
TM-requirements: please have a look, thanks.
Comment 3 kpalagin 2006-09-18 07:50:08 UTC
Any takers on this one?
While this request does not seem to be overly important, it can be very handy -
 for example very long path is not show fully, so user would need a way to see 
that information by selecting path, or user may need to use document location 
somewhere else and instead of retyping it he just selects and copies it where 
he needs it.
Besides, this enhancement seems to require just several lines of code.
Thanks a lot.
Comment 4 kpalagin 2006-10-24 11:26:28 UTC
Confirming
Comment 5 Mathias_Bauer 2007-03-01 22:40:52 UTC
This seems to be not very hard to implement. Peter, can you check if that is
correct? Or is it impossible to select fix texts in VCL dialogs?

In case it is possible and easy to do we should consider this for 2.3.
Comment 6 pb 2007-03-02 08:24:44 UTC
pb: we can replace the FixedText with a read-only EditField. There you can
select the path and you can scroll.
Comment 7 Mathias_Bauer 2007-03-02 09:04:39 UTC
Great, Peter!
Perhaps you could ask Philipp whether we can also make all FixedText elements
selectable or only those with a special new attribute set.
Comment 8 pb 2007-03-02 09:44:59 UTC
pb: sorry but at the moment the FixedText is not selectable. But Philipp is not
averse to implement those FixedText.
Comment 9 pb 2007-03-06 10:28:00 UTC
pb: I tried to use an Edit field to implement a SelectableFixedText, but for
Window XP Theme I cannot set the correct background color. So I forward this
task to Philipp (pl).
Comment 10 pb 2007-03-06 10:34:13 UTC
pb -> pl: please send this task back to me when you implemented a
SelectableFixedText.
Comment 11 philipp.lohmann 2007-03-13 16:50:09 UTC
pl->pb: I did not make the FixedText selectable (which one still could do, I'm
just not sure whether it's worth the effort), but you can now (in CWS vcl75)
create an Edit without border, call SetPaintTransparent( TRUE ) on it and
achieve the desired effect. If this is not sufficient, please call me.
Comment 12 pb 2007-03-15 13:25:22 UTC
pb: in progress...
Comment 13 pb 2007-03-20 12:45:45 UTC
pb: fixed in cws vcl75.
Files changed:
/svtools/inc/stdctrl.hxx 1.3.480.1
/svtools/source/control/stdctrl.cxx 1.3.154.1
Comment 14 pb 2007-03-20 12:53:33 UTC
More files changed:
/sfx2/inc/dinfdlg.hxx 1.12.104.1
/sfx2/source/dialog/dinfdlg.cxx 1.38.50.1
/sfx2/source/dialog/dinfdlg.hrc 1.5.296.1
/sfx2/source/dialog/dinfdlg.src 1.49.296.1

Comment 15 pb 2007-03-21 08:37:43 UTC
pb -> sba: please verify, thx.
Now all values of File - Properties... - General are selectable.
Comment 16 pb 2007-03-21 08:38:59 UTC
.
Comment 17 stefan.baltzer 2007-04-04 16:48:52 UTC
Verified in CWS vcl75.
Note: According to JSK, the respective Help-IDs are OK in the CWS.

I wrote follow-up issue 76094 to get the new behavior integrated in AutoTests.
I wrote follow-up issue 76095 to get those fields keyboard accessible.

SBA->Kpalagin: And for "a few lines of code" we need "a few more lines of code"
to keep our quality standards up. Plus writing and handling the respective
issues. Furthermore, this enhancement is not visible (frameless fields, thus the
dialog looks like it always did). So only a few "insiders" will enjoy ist.
Unless someone takes the time to document this. And such documentation should be
translated too. There is no such thing as a quick easy clean cheap AND
high-quality UI change... :-)
Comment 18 Mathias_Bauer 2007-04-04 17:37:28 UTC
Don't be so pessimistic. :-)

If writing autotests created too much overhead for a feature I surely would dump
the autotests instead of dumping the feature. :-)

Better a feature that *might* get broken unnoticed in a few years later than no
feature at all. I'm sure our users will agree to that.

I doubt that only "insiders" will use this feature. I think it's only natural to
try to select texts in a dialog box as many other programs like e.g. Firefox
allow you to do this. I wouldn't like to do without e.g. the selection of the
page URL in the page properties of Firefox.


Comment 19 kpalagin 2007-04-05 09:07:46 UTC
Mathias, Peter, Philipp, Stefan, 
thank you very much for this feature. I am sure that among millions of our 
users we have many thousands with the urge to explore and those will find this 
feature, so this is good investment.
Converts from competing product also will find one more familliar feature.
I absolutely agree with Mathias that having feature without documentation and 
tests is much much better than having nothing at all.
And I admit that I am spoiled by visual development tools in Windows where you 
flip two properties and editbox becomes tabaccessible and selectable. Sorry 
for being so simplistic. :-(
Comment 20 stefan.baltzer 2007-04-13 12:01:16 UTC
Created attachment 44405 [details]
Test Case Specification
Comment 21 joerg.skottke 2007-05-04 08:49:13 UTC
Added IDs to hid.lst rev. 1.89 (src680m211)
Added IDs to tab_a_d.win rev. 1.22

Started writing automated test.

Problem: Currently "EditCopy" is a disabled slot when working on the dialog and
Ctrl+A causes the Testtool to crash. This will be handles somewhere else.

However, this task is fixed, i'm closing it.